apiVersion: apps/v1
kind: Deployment
metadata:
  name: admin-ui
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      app: admin-ui
  template:
    metadata:
      labels:
        app: admin-ui
    spec:
      containers:
        - name: admin-ui
          image: 116.204.74.41:3000/red-future/admin-ui:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 80
            - containerPort: 443
          resources:
            limits:
              memory: "512Mi"
              cpu: "500m"